Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
doc:media:flash [16/09/2016 17:58]
nIQnutn [Les différentes méthodes d’installation]
doc:media:flash [20/08/2019 19:53] (Version actuelle)
enicar [Introduction]
Ligne 1: Ligne 1:
 ====== Plugin Flash pour navigateurs ====== ====== Plugin Flash pour navigateurs ======
  
-  * Objet : Méthodes d'​installation d'​un ​plugin Flash pour les navigateurs internet.+  * Objet : Portail du plugin Flash pour les navigateurs internet.
   * Niveau requis : {{tag>​débutant avisé}}   * Niveau requis : {{tag>​débutant avisé}}
   * Commentaires : //Comment lire les animations flash depuis un navigateur internet, différentes méthodes. //   * Commentaires : //Comment lire les animations flash depuis un navigateur internet, différentes méthodes. //
Ligne 8: Ligne 8:
     * Création par [[user>​kao]] le 01/10/2013     * Création par [[user>​kao]] le 01/10/2013
     * Testé par [[user>​captnfab]] le 04/07/2014     * Testé par [[user>​captnfab]] le 04/07/2014
-    *// Demander à Iceweasel d’utiliser le plugin flash de Chromium (freshplayerplugin)//​ Testé par [[user>​slyfox]] le 03/07/2015 Debian8 jessie stable +    
-    * Modifié par [[user>​deuchdeb]] le 05/08/2016+    * Modifié par [[user>​deuchdeb]] le 20/07/2017
   * Commentaires sur le forum : [[http://​debian-facile.org/​viewtopic.php?​id=7516 | ici]] et [[http://​debian-facile.org/​viewtopic.php?​pid=115946#​p115946|ici]] ((N'​hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !))   * Commentaires sur le forum : [[http://​debian-facile.org/​viewtopic.php?​id=7516 | ici]] et [[http://​debian-facile.org/​viewtopic.php?​pid=115946#​p115946|ici]] ((N'​hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !))
  
Ligne 17: Ligne 17:
  
 ===== Introduction ===== ===== Introduction =====
-Beaucoup de sites internet nécessitent (honte à eux) l'​installation d'un lecteur flash, afin de pouvoir lire certaines animations, certaines vidéos, pour pouvoir jouer à certains jeux et pouvoir vous montrer certaines publicités ​(tout cela non-libre et potentiellement dangereux).+Beaucoup de sites internet nécessitent (honte à eux) l'​installation d'un lecteur flash, afin de pouvoir lire certaines animations, certaines vidéos, pour pouvoir jouer à certains jeux et pouvoir vous montrer certaines publicités.
  
-Le flash est un format propriétaire d'​Adobe qui nécessitele plus souventle lecteur propriétaire proposé par la marque pour être correctement joué**Ce plugin flash est maintenant obsolète et dangereuxAdobe ayant arrêté le développement ​de versions Linux il a trois ansÀ ne pas utiliser !** FIXME+<note warning>​Flash n’est pas libre et est peuvoire passupporté sous Linux, ce qui rend son installation potentiellement dangereuseSi vous souhaitez l’installer quand mêmela suite de cet article vous aidera à vos risques et périls.</​note>​
  
-Un lecteur libre existe: Gnash, c'est une alternative au lecteur d'​Adobe,​ mais il ne permet pas encore d'​avoir accès à toutes les fonctionnalités du flash.+** 
 +//Flash//** est un format propriétaire d'​Adobe qui //​**nécessite,​ le plus souvent, le lecteur propriétaire**//​ proposé par la marque pour être correctement joué.  
 + 
 +Un lecteur libre existe: ​**//Gnash, c'est une alternative au lecteur d'​Adobe//**, mais il ne permet pas encore d'​avoir accès à toutes les fonctionnalités du flash.
  
 Sachez que la tendance des sites internet est de délaisser le flash au profit du [[doc:​reseau:​html5 |html5]], il est donc de plus en plus facile de survivre sur internet sans le lecteur propriétaire d'​Adobe. Sachez que la tendance des sites internet est de délaisser le flash au profit du [[doc:​reseau:​html5 |html5]], il est donc de plus en plus facile de survivre sur internet sans le lecteur propriétaire d'​Adobe.
  
-<note warning>​L'​abandon du flash est d'​autant plus important qu'​Adobe ne développe plus de nouvelles versions pour Linux après la version 11.2 (qui date de février 2012). Toutefois les mises à jour de sécurité sont toujours assurées. Seul Google Chrome suivra les évolutions d'​Adobe pour la technologie Flash. On pourra avoir une version récente de Adobe Flash sans Google-Chrome en installant le paquet pepperflashplugin-nonfree. Cette dernière solution ne fonctionnera qu'​avec le navigateur chromium, voir ci-dessous.</​note>​ 
  
-===== Connaître sa version de flash =====+Les outils fournis par **Debian** pour //​**installer ​flash d'​Adobe**//​ sur votre ordinateur **fonctionnent mal** ou **n'​existent pas** pour certaines versions.
  
-Cliquer sur ce [[http://​www.adobe.com/​fr/​software/​flash/​about/​| test Flash]] ​pour connaître ​la version du Flash Player installée sur votre système. +Il va donc falloir passer par des chemins détournés ​pour arriver à faire fonctionner ​la chose.
-Si vous ne voyez pas le logo tourner et que que vous n'avez pas un message de ce type : **You have version xx,​xx,​xxx,​xx installed** et bien il faudra installer soit **Gnash** soit le **plugin flash** soit [[doc:​reseau:​chromium |Google-Chrome]] ou encore [[doc:​reseau:​chromium |chromium]] avec le paquet **pepperflashplugin-nonfree**+
  
-===== Les différentes méthodes d’installation ===== 
  
-Les paragraphes suivants décrivent chacun une méthode pour installer un plug-in Flash. Il est déconseillé d’utiliser simultanément plusieurs méthodes. 
  
-==== Méthode Gnash ==== 
  
-<note important>​Le paquet gnash n'est pas disponible pour Debian jessie</​note>​ 
  
-<code root>​apt-get update && apt-get install gnash </​code>​+===== Connaître sa version de flash =====
  
-Une fois l’installation terminée, pensez à relancer ​votre navigateur Web.+Cliquer sur ce [[http://​www.adobe.com/​fr/​software/​flash/​about/​| test Flash]] pour connaître la version du Flash Player installée sur votre système.
  
 +Si vous ne voyez pas le logo tourner et que que vous n'avez pas un message de ce type : **You have version xx,​xx,​xxx,​xx installed** et bien il faudra installer soit **//​Gnash//​** soit le **//plugin flash//** soit //​[[doc:​reseau:​chromium |Google-Chrome]]//​ .
  
-==== Méthode plug-in propriétaire Google (pour Chromium et Chrome) ​====+===== Installer le plugin Flashplayer =====
  
-<note important>​ **Attention**,​ ceci ne fonctionne quavec le navigateur chromium, base libre du navigateur Chrome de Google.</​note>​+Il y a plusieurs façons pour installer un plug-in Flash. Il est déconseillé dutiliser simultanément plusieurs méthodes.
  
-<note info> **Attention**,​ dans [[:​doc:​systeme:​apt:​sources.list|vos sources]] il faut avoir la section **contrib**. +==== Méthode libre Gnash ====
-Pour Wheezy il faut activer les rétroportages (dépôt "​backports"​). </​note>​+
  
  
 +<code root>​apt-get update && apt-get install gnash </​code>​
  
-Ensuite il faut installer le paquet [[https://​packages.debian.org/​fr/​wheezy-backports/​pepperflashplugin-nonfree| pepperflashplugin-nonfree]] : +Une fois l’installation ​terminéepensez ​à relancer votre navigateur Web.
- +
-<code root>​apt-get update</​code>​ +
-<code root>​apt-get install ​ pepperflashplugin-nonfree</​code>​ +
- +
-=== En cas de message derreur «ERROR: failed to retrieve status information from google» === +
- +
- +
- +
-Si à la commande  +
-<code root>​apt-get install pepperflashplugin-nonfree</​code>​  +
-Vous obtenez un message d’erreur  +
-<code config retour de la commande>​ERROR:​ failed to retrieve status information from google [suivi de trucs à propos d’une clé publique manquante]</​code>​ +
-Suivez la méthode indiquée sur le site de [[http://​unix.stackexchange.com/​questions/​279825/​pepperflashplugin-nonfree-error-failed-to-retrieve-status-information-from-go|unix.stackexchange.com]] :  +
-saisissez  +
-<code user>gpg --keyserver pgp.mit.edu --recv-keys 1397BC53640DB551</​code>​ +
-puis +
-<code user>gpg --export --armor 1397BC53640DB551 | sudo sh -c 'cat >> /​usr/​lib/​pepperflashplugin-nonfree/​pubkey-google.txt'​ +
-</​code>​ +
- +
-Ensuite vous procéderez à une installation ​avec  +
- +
-<code root>​update-pepperflashplugin-nonfree --install</​code>​ +
- +
-Comme le précise le sitele fichier sera récrit ​à la mise à jour du paquet, donc il faudra répéter cette méthode après une mise à jour… si les mainteneurs (? On dit mainteneur en français?) n’ont pas ajouté la nouvelle clé. D’après le site de peppermint ([[https://​forum.peppermintos.com/​index.php/​topic,​3351.msg33265.html?​PHPSESSID=ufec63lbb50m5mun2flbh5i1j3#​msg33265|ce message-ci en particulier]]),​ c’est la faute à Gogole (…Et ça m’étonne pas). +
- +
-=== Mise à jour de pepperflashplugin-nonfree === +
- +
-__Savoir si vous êtes à jour:__ +
- +
-<code root>​update-pepperflashplugin-nonfree --status</​code>​ +
- +
-Cette commande renvoie la version installée sur le système et la version disponible. +
- +
-__Mettre à jour:__ +
- +
-<code root>​update-pepperflashplugin-nonfree --install</​code>​ +
- +
-Si parfois la version disponible est inférieure à ce qui est indiqué sur le site d'​Adobe alors entrer cette commande: +
- +
-<code root>​update-pepperflashplugin-nonfree --install --beta --unverified</​code>​ +
- +
- +
- +
-__Uniquement pour Wheezy:__ +
-<code root>​apt-get install -t wheezy-backports pepperflashplugin-nonfree</​code>​ +
- +
-Il faut aussi que [[:​doc:​reseau:​chromium| Chromium]] soit installé, via le paquet ''​chromium''​ ainsi que le paquet des locales, [[https://​packages.debian.org/​fr/​wheezy/​chromium-l10n|chromium-l10n]],​ pour l'​avoir en français. +
- +
-<code root>​apt-get install chromium chromium-l10n</​code>​ +
- +
-Voilà, il ne reste plus qu’à tester [[http://​www.adobe.com/​fr/​software/​flash/​about/​| test Flash]] (avec chromium bien sûr) et on devrait avoir la dernière version de Adobe Flash Player. +
- +
-==== Demander à Iceweasel d’utiliser le plugin flash de Chromium (freshplayerplugin) ==== +
- +
-Pour Iceweasel, la version 11.2 proposé par Adobe commence à être largement obsolète. Par contre il est possible grâce au projet **freshplayerplugin** d’utiliser le plugin Flash-Pepper de Chromium, bien plus à jour. +
- +
-<note tip>Afin d’éviter que les plugins ne se marchent dessus, il est bon de désinstaller gnash et et le flashplugin-nonfree au préalable ainsi : <code root>​apt-get purge gnash flashplugin-nonfree</​code></​note>​ +
- +
-=== Installation === +
- +
-  *''​freshplayerplugin''​ **est disponible dans les dépôts Debian depuis [[doc:​systeme:​apt:​sources.list#​les-retroportages-depot-backports|jessie-backports]]**  +
-<code root>apt install browser-plugin-freshplayer-pepperflash</​code>​ +
- +
-=== En cas de message d’erreur «ERROR: failed to retrieve status information from google» === +
-Voyez la méthode indiquée sous ce nom dans la rubrique ci-dessus, //Méthode plug-in propriétaire Google (pour Chromium et Chrome)// +
- +
- +
-=== Installation par compilation === +
- +
- +
-<note warning>​Il existe un paquet dans //​jessie-backports//​. Il n'est à présent plus nécessaire de passer par la compilation (voir chapitre précédent). +
- +
-Cette méthode ne fonctionne qu'à partir de Jessie, pas pour les versions de Debian antérieure.</​note>​ +
- +
-== Installation des dépendances == +
- +
-  * ''​freshplayerplugin''​ est disponible dans les dépôts Debian depuis jessie-backports mais si vous souhaitez une version plus récente, il faut le compiler depuis les sources. Pour ce faire, il nous faut installer les diverses dépendances de compilation… +
-<code root>​apt-get update</​code>​ +
-<code root>​apt-get install build-essential git cmake pkg-config libglib2.0-dev \ +
-libasound2-dev libx11-dev libgl1-mesa-dev liburiparser-dev libcairo2-dev \ +
-libpango1.0-dev libpangocairo-1.0-0 libpangoft2-1.0-0 libfreetype6-dev \ +
-libgtk2.0-dev libxinerama-dev libconfig-dev libevent-dev libegl1-mesa-dev \ +
-libgles2-mesa-dev ragel libssl-dev libva-dev libvdpau-dev libavcodec-dev \ +
-libavformat-dev libavfilter-dev libv4l-dev libv4l-0</​code>​+
  
-  * Il faut également le plug-in dédié à Chromiun (voir méthode ci-dessus) +====Méthodes propriétaires d'​Adobe====
-<code root>​apt-get install pepperflashplugin-nonfree</​code>​+
  
  
-== Compilation == 
  
-<note warning>​**Attention!** cette partie devrait être effectuée en utilisateur simple.</​note>​+__Il existe deux versions de flashplayer :__
  
 +  *La version pour **Firefox** - **NPAPI**.
 +  *La version pour **Chromium** - **PPAPI**. ​
  
-  * on télécharge et compile ​le plug-in freshplayerplugin : +<​note>​On notera que le navigateur Google-Chrome embarque nativement sa propre version de Flashplayer et qu'il n'y a rien à faire une fois que ce navigateur est installer. ​//(////Google-Chrome est un logiciel propriétaire////)// Flashplayer se mettra à jour en même temps que Google-Chrome.</note>
-<code user> +
-cd</code> +
-<code user>git clone https://github.com/i-rinat/freshplayerplugin.git<​/code> +
-<code user>cd freshplayerplugin && mkdir build</code> +
-<code user>cd build</code> +
-<code user>​cmake ​..</​code>​ +
-<code user>​make</code>+
  
-== Installation ​==+===Installer flashplayer sur Firefox===
  
-Pour conclure l'​installation, on copie le fichier .so à son emplacement définitif ​: +Page d'​installation ​Firefoxhttps://​debian-facile.org/doc:​media:​flash:​flashfirefox
-<code root>cp libfreshwrapper-pepperflash.so /usr/​lib/​mozilla/​plugins/</​code>​+
  
-Après ça le plugin devrait fonctionner,​ vous pouvez faire un test [[http://​www.adobe.com/​fr/​software/​flash/​about/​|ici]]. +===Installer Flashplayer sur Chromium===
-Plus d’informations en anglais [[http://​www.webupd8.org/​2014/​05/​fresh-player-plugin-pepper-flash.html|ici]]+
  
 +Page d'​installation Chromium: https://​debian-facile.org/​doc:​media:​flash:​flashchromium
  
-==== Méthode d’installation du plug-in propriétaire d’Adobe (pour Firefox / Iceweasel et autres navigateurs) ==== 
  
-Retrouver la documentation complète pour l'​installation de Flash Player d'​Adobe:​ [[doc:​media:​flash:​flashplugin-nonfree|Installation du plug-in propriétaire d’Adobe]] 
 ===== Autres liens ===== ===== Autres liens =====
   * [[http://​wiki.debian.org/​Flash |Wiki Debian - Flash]]   * [[http://​wiki.debian.org/​Flash |Wiki Debian - Flash]]
   * [[https://​wiki.debian.org/​FlashPlayer|Wiki Debian - Adobe Flash Player]]   * [[https://​wiki.debian.org/​FlashPlayer|Wiki Debian - Adobe Flash Player]]
doc/media/flash.1474041536.txt.gz · Dernière modification: 16/09/2016 17:58 par nIQnutn

Pied de page des forums

Propulsé par FluxBB